Summary:	A gtk+ vpn administration and monitoring tool for ipsec-tools
Name:		coondog
Version:	0.1
Release:	%mkrel 2
License:	GPL
Group:		System/Configuration/Networking
URL:		http://emeitner.f2o.org/coondog
Source0:	http://download.gna.org/coondog/source/%{name}-%{version}.tar.bz2
BuildRequires:	gtk+2-devel
Requires:	ipsec-tools
Requires:	perl-Gtk2-GladeXML
Requires:	perl-Config-General
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Coondog is a tool for configuring and controlling IPSec VPNs.

%prep

%setup -q

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

install -d %{buildroot}/%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 title="%{name}" \
 longtitle="%{summary}" \
 needs="x11" \
 icon="%{name}.png" \
 section="Configuration/Networking" \
 xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Settings;Network" \
  --add-category="X-MandrivaLinux-System-Configuration-Networking" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%{find_lang} %{name}

#chmod -Rv 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf %{buildroot}
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS changelog README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-helper
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}
#%{_datadir}/%{name}/glade/%{name}.glade
#%{_datadir}/%{name}/glade/%{name}.png
%{_menudir}/%{name}
%{_mandir}/man1/%{name}.1.bz2
%{_mandir}/man1/%{name}-helper.1.bz2
%{_docdir}/%{name}/*

%changelog
* Sat Jul 01 2006 Emmanuel Andry <eandry@mandriva.org> 0.1-2mdv2007.0
 - fix summary and description
 - fix permission

* Mon Jun 26 2006 Emmanuel Andry <eandry@mandriva.org> 0.1-1mdv2007.0
 - initial Mandriva release
